/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */


// vertex.cc: Implementation of vertices in a graph.
//
// Author: Curtis Janssen <cljanss@ca.sandia.gov>

#include <sstmac/network/vertex.h>

using std::ostream;

namespace sstmac {

ostream &
operator << (ostream &o, const vertex&v)
{
  v.print(o);
  return o;
}

void
vertex::print(ostream &o) const
{
  o << "[";
  for (int i=0; i<v_.size(); i++) {
      if (i) o << " ";
      o << v_[i];
    }
  o << "]";
}

}
