/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_PROCESS_MPIPEER_H
#define SSTMAC_PROCESS_MPIPEER_H

#include <sstmac/process/mpiid.h>

namespace sstmac {

  /**
   * Information about a partner for an mpi exchange operation.
   */
  struct mpipeer {
    mpipeer(const mpiid &dpeer = mpiid(-1), int sendc=-1, int recvc=-1) :
      peer(dpeer), send(sendc), recv(recvc)
    {}

    mpiid peer;
    int   send, recv;
  };

} // end of namespace sstmac

#endif // ! SSTMAC_PROCESS_MPIPEER_H
