/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */
#include <sstmac/processor/procstatmanager.h>

namespace sstmac
{

  procstatmanager::procstatmanager(std::string fname) :
    statsmanager(fname)
  {
    // TODO Auto-generated constructor stub

  }

  procstatmanager::~procstatmanager()
  {
    // TODO Auto-generated destructor stub
  }

  double
  procstatmanager::getAverageFPS(const timestamp &t)
  {

    list<boost::shared_ptr<procstats> >::iterator it;
    double ret = 0;
    for (it = stats.begin(); it != stats.end(); it++)
      {
        ret += (*it)->getFlops();
      }
    return ret / t.sec();
  }

  void
  procstatmanager::printSummary(const timestamp &t)
  {

    ostream &out = getOutputStream();

    out << "------ Processor (t=" << t.sec() << ") -------" << std::endl;
    out << "Totals:" << std::endl;
    out << "\t average flop per sec is: " << getAverageFPS(t) << " "
        << std::endl;

    out << "------------------" << std::endl;


  }

}
