/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#ifndef PROCSTATS_H_
#define PROCSTATS_H_

#include <sstmac/simulator/stats.h>

#include <boost/shared_ptr.hpp>

namespace sstmac
{
  class procstats : public stats
  {
  public:
    procstats();
    virtual
    ~procstats();

    static boost::shared_ptr<procstats>
    construct()
    {
      boost::shared_ptr<procstats> retval(new procstats());
      return retval;
    }

    void
    trackFlop(double f);


    double getFlops(){return flops;}

  protected:
    double flops; //the number of flops, not the average over time
  };

}
#endif /* PROCSTATS_H_ */
