/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */
#ifndef SIMPLEINSTRUCTION_H_
#define SIMPLEINSTRUCTION_H_

#include <sstmac/processor/instructions.h>
#include <sstmac/simulator/timestamp.h>
#include <boost/shared_ptr.hpp>

using namespace std;

namespace sstmac
{

  class simpleinstruction : public instructions
  {
  public:
    simpleinstruction(const timestamp &ctime) : instructions(instructions::I_TIME)
    {
      comptime = ctime;
    }
    virtual
    ~simpleinstruction();

    timestamp comptime;

    static boost::shared_ptr<simpleinstruction>
    construct(const timestamp &t)
    {
      boost::shared_ptr<simpleinstruction> ret(new simpleinstruction(t));
      return ret;
    }

  };

}
#endif /* SIMPLEINSTRUCTION_H_ */
