/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <sstmac/simulator/eventhandler.h>
#include <sstmac/util/debug.h>

namespace sstmac {

  // An event-ignoring device.
  struct ignoredevent : public eventhandler {
    ignoredevent() {
      if(debugger::active()) debug() << "ignoredevent() constructed\n";
    }
    virtual ~ignoredevent() throw() {}
    void handle(const timestamp&) {
      if(debugger::active()) debug() << "ignoredevent::handle\n";
    }
  };

  // An ignored event.
  boost::shared_ptr<eventhandler> eventhandler::ignore(new ignoredevent);

} // end of namespace sstmac.
