/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#ifndef HAS_STATS_H_
#define HAS_STATS_H_

#include <list>
#include <sstmac/simulator/stats.h>
#include <boost/shared_ptr.hpp>

using namespace std;

namespace sstmac
{

  class has_stats
  {
  public:


    virtual list<boost::shared_ptr<stats> >
    getStats() = 0;
  };

}

#endif /* HAS_STATS_H_ */
