/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */
#include <sstmac/simulator/statsmanager.h>

namespace sstmac{

  ofstream statsmanager::fileStream;

  statsmanager::statsmanager(std::string fname)
   {
     fileName = fname;
   }

   statsmanager::~statsmanager()
   {
     // TODO Auto-generated destructor stub
   }

   ofstream&
   statsmanager::getOutputStream()
   {
     if (!fileStream.is_open())
       {
         //ofstream fst = ofstream::open(fileName.c_str());
         fileStream.open(fileName.c_str());

         if (fileStream.is_open())
           {

             return fileStream;
           }
         else
           throw "statsmanager: cannot open file for writing";

       }
     else
       {
         return fileStream;
       }
   }

   void statsmanager::closeStream(){
     if(fileStream.is_open()){
         fileStream.close();
     }

   }


}
