/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#ifndef STATSMANAGER_H_
#define STATSMANAGER_H_

#include <sstmac/simulator/timestamp.h>
#include <ostream>
#include <iostream>
#include <fstream>

using namespace std;

namespace sstmac
{
  class statsmanager
  {
  public:
  public:
    statsmanager(std::string fname);
    virtual
    ~statsmanager();

    // prints the power stats
    virtual void
    printSummary(const timestamp &t) = 0;

  protected:
    ofstream&
    getOutputStream();

    void closeStream();

    std::string fileName;

  private:
    static ofstream fileStream;
  };

}
#endif /* STATSMANAGER_H_ */
