/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_SKELETON_MPIPAYLOADTEST_MPIPAYLOADTEST_H
#define SSTMAC_SKELETON_MPIPAYLOADTEST_MPIPAYLOADTEST_H

#include <sstmac/process/mpiapp.h>

namespace sstmac {

  /**
   * Basic MPI ping-pong.
   */
  class mpipayloadtest : public mpiapp {
    /// How many iterations we do.
    int iterations_, count_;

  protected:
    /// Hi.
    mpipayloadtest(int iterations, int count);

  public:
    /// Hello.
    static boost::shared_ptr<mpipayloadtest>
    construct(int iterations, int count);

    /// Goodbye.
    virtual ~mpipayloadtest() throw();

    /// Get a copy.
    boost::shared_ptr<mpiapp> clone();

    /// Go.
    void run();
  };

} // end of namespace sstmac

#endif // ! SSTMAC_SKELETON_MPIPAYLOADTEST_MPIPAYLOADTEST_H
