/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_process

%{
#include <sstmac/process/mpiapi.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::mpiapi);
#else
SWIG_SHARED_PTR(mpiapiptr, sstmac::mpiapi);
#endif

%import sstmac/swig/processor/instructions.i
%import sstmac/swig/simulator/nodeinterface.i
%import sstmac/swig/simulator/eventhandler.i

%import sstmac/swig/simulator/launcher.i

%include sstmac/swig/process/mpistrategy.i
%include sstmac/swig/process/mpicommfactory.i
%include sstmac/swig/process/scheduler.i
%include sstmac/swig/process/mpicomm.i
%include sstmac/swig/process/mpiid.i
%include sstmac/swig/process/mpitag.i
%include sstmac/swig/process/mpitype.i
%include sstmac/swig/process/mpiqueue.i
%include sstmac/swig/process/mpistatus.i
%include sstmac/swig/process/mpistrategy.i
%include sstmac/swig/process/mpicommfactory.i
%include sstmac/swig/process/key.i
%include sstmac/swig/process/processrequest.i

%include sstmac/process/mpiapi.h

