/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_process

%{
#include <sstmac/simulator/environment.h>
#include <sstmac/process/mpicommfactory.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::mpicommfactory);
#else
SWIG_SHARED_PTR(mpicommfactoryptr, sstmac::mpicommfactory);
#endif

%import sstmac/swig/simulator/taskid.i
%import sstmac/swig/simulator/environment.i

%include sstmac/swig/process/mpicomm.i
%include sstmac/swig/process/mpicommid.i
%include sstmac/swig/process/mpiid.i
%include sstmac/swig/process/scheduler.i

%include sstmac/process/mpicommfactory.h

