/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_process

%{
#include <sstmac/process/mpirecvrequest.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::mpirecvrequest);
#else
SWIG_SHARED_PTR_DERIVED(mpirecvrequestptr, sstmac::recvrequest, sstmac::mpirecvrequest);
#endif

%import sstmac/swig/util/nocopy.i
%import sstmac/swig/simulator/eventhandler.i

%include sstmac/swig/process/recvrequest.i
%include sstmac/swig/process/mpimessage.i
%include sstmac/swig/process/mpicommid.i
%include sstmac/swig/process/mpiid.i
%include sstmac/swig/process/mpitag.i
%include sstmac/swig/process/mpitype.i
%include sstmac/swig/process/mpimessage.i

%include sstmac/process/mpirecvrequest.h

