/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_process

%{
#include <sstmac/process/mpistatus.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::mpistatus);
#else
SWIG_SHARED_PTR_DERIVED(mpistatusptr, sstmac::status, sstmac::mpistatus);
#endif

%include sstmac/swig/process/status.i
%include sstmac/swig/process/mpicomm.i
%include sstmac/swig/process/mpiid.i
%include sstmac/swig/process/mpitag.i
%include sstmac/swig/process/mpitype.i

%include sstmac/process/mpistatus.h

