/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_process

%{
#include <sstmac/process/mpistrategies.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::mpisendstrategy);
%shared_ptr(sstmac::mpirecvstrategy);
%shared_ptr(sstmac::mpibcaststrategy);
%shared_ptr(sstmac::mpireducestrategy);
%shared_ptr(sstmac::mpiallreducestrategy);
%shared_ptr(sstmac::mpigatherstrategy);
%shared_ptr(sstmac::mpigathervstrategy);
%shared_ptr(sstmac::mpiallgatherstrategy);
%shared_ptr(sstmac::mpiallgathervstrategy);
%shared_ptr(sstmac::mpialltoallstrategy);
%shared_ptr(sstmac::mpialltoallvstrategy);
%shared_ptr(sstmac::mpiscatterstrategy);
%shared_ptr(sstmac::mpiscattervstrategy);
%shared_ptr(sstmac::mpireduce_scatterstrategy);
%shared_ptr(sstmac::mpibarrierstrategy);
%shared_ptr(sstmac::mpiscanstrategy);
#else
SWIG_SHARED_PTR(mpisendstrategyptr, sstmac::mpisendstrategy);
SWIG_SHARED_PTR(mpirecvstrategyptr, sstmac::mpirecvstrategy);
SWIG_SHARED_PTR(mpibcaststrategyptr, sstmac::mpibcaststrategy);
SWIG_SHARED_PTR(mpireducestrategyptr, sstmac::mpireducestrategy);
SWIG_SHARED_PTR(mpiallreducestrategyptr, sstmac::mpiallreducestrategy);
SWIG_SHARED_PTR(mpigatherstrategyptr, sstmac::mpigatherstrategy);
SWIG_SHARED_PTR(mpigathervstrategyptr, sstmac::mpigathervstrategy);
SWIG_SHARED_PTR(mpiallgatherstrategyptr, sstmac::mpiallgatherstrategy);
SWIG_SHARED_PTR(mpiallgathervstrategyptr, sstmac::mpiallgathervstrategy);
SWIG_SHARED_PTR(mpialltoallstrategyptr, sstmac::mpialltoallstrategy);
SWIG_SHARED_PTR(mpialltoallvstrategyptr, sstmac::mpialltoallvstrategy);
SWIG_SHARED_PTR(mpiscatterstrategyptr, sstmac::mpiscatterstrategy);
SWIG_SHARED_PTR(mpiscattervstrategyptr, sstmac::mpiscattervstrategy);
SWIG_SHARED_PTR(mpireduce_scatterstrategyptr, sstmac::mpireduce_scatterstrategy);
SWIG_SHARED_PTR(mpibarrierstrategyptr, sstmac::mpibarrierstrategy);
SWIG_SHARED_PTR(mpiscanstrategyptr, sstmac::mpiscanstrategy);
#endif

%import sstmac/swig/simulator/timestamp.i

%include sstmac/swig/process/mpicomm.i
%include sstmac/swig/process/mpitag.i
%include sstmac/swig/process/mpiid.i
%include sstmac/swig/process/mpikernel.i
%include sstmac/swig/process/mpiop.i

%include sstmac/process/mpistrategies.h

