/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_simulator

%{
#include <sstmac/simulator/timestamp.h>
%}

%ignore sstmac::timestamp::ticks() const;
%ignore sstmac::timestamp::tick_interval();
%ignore sstmac::timestamp::frequency();

%include sstmac/simulator/timestamp.h

 /*
// Unfortunately, there doesn't seem to be a nice way to get our
// GMP ticks into Python's long integers (implemented via GMP) when
// going through SWIG.  "Not nice" means having to write our own
// Python C-API bindings.  As a fallback, just map things to double
// (with the corresponding loss of precision).
%extend timestamp {
  double ticks() const {
    return double(self->ticks().get_d());
  }
  double tick_interval() const {
    return double(self->tick_interval().get_d());
  }
  double frequency() const {
    return double(self->frequency().get_d());
  }
};
 */

