/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_skeleton_mpiparsers

%{
#include <sstmac/skeleton/mpiparsers/rsqallocation.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::rsqallocation);
#else
SWIG_SHARED_PTR_DERIVED(rsqallocationptr, sstmac::allocationstrategy, sstmac::rsqallocation);
#endif

%import sstmac/swig/simulator/allocationstrategy.i
%import sstmac/swig/network/torus.i

%include sstmac/swig/skeleton/mpiparsers/rsqmetatrace.i

%include sstmac/skeleton/mpiparsers/rsqallocation.h

